/* inet.c: Interface layer to TCP/IP NetSync connections
 *
 * Copyright (c) 1997, Kenneth Albanowski
 * This is free software, licensed under the GNU Public License V2.
 * See the file COPYING for details.
 */
#ifdef QDOS
#include <sys/bsdtypes.h>
#endif
#include <sys/types.h>
#include <sys/stat.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <stdio.h>
#include "pi-source.h"
#include "pi-socket.h"
#include "pi-inet.h"
#include "pi-slp.h"
#include "pi-syspkt.h"
#include "pi-padp.h"
#include "pi-dlp.h"

static int pi_net_listen(struct pi_socket *ps, int backlog);
static int pi_net_accept(struct pi_socket *ps, struct sockaddr *addr, int *addrlen);
static int pi_net_send(struct pi_socket *ps, void *msg, int len, unsigned int flags);
static int pi_net_recv(struct pi_socket *ps, void *msg, int len, unsigned int flags);
static int pi_net_tickle(struct pi_socket *ps);
static int pi_net_close(struct pi_socket * ps);

extern int dlp_trace;

int pi_inet_connect(struct pi_socket *ps, struct sockaddr *addr, int addrlen)
{
    return -1;
}

/* Bind address to a local socket */

int pi_inet_bind(struct pi_socket *ps, struct sockaddr *addr, int addrlen)
{
    return -1;
}

/* Wait for an incoming connection */

static int pi_net_listen(struct pi_socket *ps, int backlog)
{
  return -1;
}

/* Accept an incoming connection */

static int pi_net_accept(struct pi_socket *ps, struct sockaddr *addr, int *addrlen)
{
  return -1;
}

/* Send msg on a connected socket */

static int pi_net_send(struct pi_socket *ps, void *msg, int len, unsigned int flags)
{
  return -1;
}

/* Recv msg on a connected socket */

static int pi_net_recv(struct pi_socket *ps, void *msg, int len, unsigned int flags)
{
  return -1;
}

static int pi_net_tickle(struct pi_socket *ps)
{
  return -1;
}

/* Close a connection, destroy the socket */

static int pi_net_close(struct pi_socket * ps)
{
  return 0;
}

